document.addEventListener('DOMContentLoaded', function() {
  // Add smooth scrolling
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add table row highlighting
  const tables = document.querySelectorAll('table');
  tables.forEach(table => {
    const rows = table.getElementsByTagName('tr');
    for (let row of rows) {
      row.addEventListener('mouseenter', function() {
        this.style.transition = 'background-color 0.3s ease';
      });
    }
  });
});
